Subject: Re: mv problem
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: Sylvain Petreolle <[email-masked]>, [email-masked]
Cc: [email-masked]
Date: Thu, 02 May 2002 10:51:45 -0400

At 09:22 AM 5/2/2002, Sylvain Petreolle wrote:
>Hi all,
>
>I got a problem when running mv :
>
>i have the directory abc and want to rename
>it as Abc (or something that changes the
>capitalisation only).
>
>I get the following result :
>
>$ mv abc Abc
>mv: cannot create directory
>`Abc/abc/abc/abc/abc/abc/abc/abc/abc/abc/abc/abc/abc/abc/abc/abc/abc/abc/abc/abc/abc/abc/abc/abc/abc/abc/abc/abc/abc/abc/abc/abc/abc/abc/abc/abc/abc/abc/abc/abc/abc/abc/abc/abc/abc/abc/abc/abc/abc/abc/abc/abc/abc
>/abc/abc/abc/abc/abc': Invalid argument

Hm, I don't see that here:

#mv abc Abc
mv: cannot move `abc' to a subdirectory of itself, `Abc/abc'

What version of Cygwin and mv are you using?  What does the directory 
structure of "abc" look like?

As you can see, you cannot rename file differing only by case.  This is a 
Windowsism.  Sorry.  Complain to Bill if you don't like it! ;-)  You'll
need to do this as a two step process (i.e. move 'abc' to a different name
temporarily and then move it to 'Abc').  I can't say why you got the result
you did however.

Larry Hall                              [email-masked]
RFK Partners, Inc.                      http://www.rfk.com
838 Washington Street                   (508) 893-9779 - RFK Office
Holliston, MA 01746                     (508) 893-9889 - FAX

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/